import { Coordinate } from "./objects";
/** Returns a boolean describing whether a coordinate point is valid, ensuring lat and lng are non-null */
export declare const coordinatesAreValid: (point: Coordinate) => boolean;
/** Finds the distance beween two coordinates in metres */
export declare const distanceBetweenTwoCoordinates: (point1: Coordinate, point2: Coordinate) => number;
/** Gets the midpoint between two coordinates, by averaging them  */
export declare const getMidpointBetweenTwoCoordinates: (point1: Coordinate, point2: Coordinate) => Coordinate;
